Update Entity
curl --request PATCH \
--url https://api.waycore.com/v1/entities/{entityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactEmails": [
"jsmith@example.com"
]
}
'import requests
url = "https://api.waycore.com/v1/entities/{entityId}"
payload = { "contactEmails": ["jsmith@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactEmails: ['jsmith@example.com']})
};
fetch('https://api.waycore.com/v1/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.waycore.com/v1/entities/{entityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'contactEmails' => [
'jsmith@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.waycore.com/v1/entities/{entityId}"
payload := strings.NewReader("{\n \"contactEmails\": [\n \"jsmith@example.com\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.waycore.com/v1/entities/{entityId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactEmails\": [\n \"jsmith@example.com\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.waycore.com/v1/entities/{entityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactEmails\": [\n \"jsmith@example.com\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"entityId": "<string>",
"externalEntityId": "<string>",
"isDefaultOrgEntity": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"contactEmails": [
"jsmith@example.com"
],
"metadata": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}entities
Update Entity
PATCH /v1/entities/
Update the contact emails for a canonical entity. The supplied list replaces the existing one.
PATCH
/
v1
/
entities
/
{entityId}
Update Entity
curl --request PATCH \
--url https://api.waycore.com/v1/entities/{entityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactEmails": [
"jsmith@example.com"
]
}
'import requests
url = "https://api.waycore.com/v1/entities/{entityId}"
payload = { "contactEmails": ["jsmith@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactEmails: ['jsmith@example.com']})
};
fetch('https://api.waycore.com/v1/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.waycore.com/v1/entities/{entityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'contactEmails' => [
'jsmith@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.waycore.com/v1/entities/{entityId}"
payload := strings.NewReader("{\n \"contactEmails\": [\n \"jsmith@example.com\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.waycore.com/v1/entities/{entityId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactEmails\": [\n \"jsmith@example.com\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.waycore.com/v1/entities/{entityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactEmails\": [\n \"jsmith@example.com\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"entityId": "<string>",
"externalEntityId": "<string>",
"isDefaultOrgEntity": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"contactEmails": [
"jsmith@example.com"
],
"metadata": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"type": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Authorizations
Body
application/json
Replacement list of email addresses for the people who manage this entity's connections. The supplied list replaces the existing one. Duplicates are removed (case-insensitively) and order is preserved; send an empty array to clear all contacts. At most 100 addresses.
Maximum array length:
100Response
Successful Response